Package org.drinkless.tdlib

# Class TdApi.PublicForwardStory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PublicForward
org.drinkless.tdlib.TdApi.PublicForwardStory

Enclosing class:
  TdApi

public static class TdApi.PublicForwardStory extends TdApi.PublicForward
Contains a public repost to a story.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PublicForward

  `TdApi.PublicForward.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Story`
  `story`
  Information about the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublicForwardStory()`
  Contains a public repost to a story.
  `PublicForwardStory(TdApi.Story story)`
  Contains a public repost to a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### story

    public TdApi.Story story
    Information about the story.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PublicForwardStory

    public PublicForwardStory()
    Contains a public repost to a story.

  - ### PublicForwardStory

    public PublicForwardStory(TdApi.Story story)
    Contains a public repost to a story.
    Parameters:
      `story` - Information about the story.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PublicForward`
    Returns:
      this.CONSTRUCTOR